Build Smarter Agents with Nemotron 3 Nano Omni on FriendliAI — Explore models
curl --request POST \
--url https://api.friendli.ai/dedicated/endpoint/wandb-artifact-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wandbArtifactVersionName": "org/registry/name:v0"
}
'{
"endpointId": "endpoint-id",
"endpointName": "endpoint-name",
"projectId": "project-id",
"projectName": "project-name",
"teamId": "team-id",
"teamName": "team-name"
}Create a Friendli Dedicated Endpoint from a Weights & Biases artifact via the API. Deploy W&B-managed models directly to dedicated GPU hardware.
curl --request POST \
--url https://api.friendli.ai/dedicated/endpoint/wandb-artifact-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wandbArtifactVersionName": "org/registry/name:v0"
}
'{
"endpointId": "endpoint-id",
"endpointName": "endpoint-name",
"projectId": "project-id",
"projectName": "project-name",
"teamId": "team-id",
"teamName": "team-name"
}Create an endpoint from Weights & Biases artifact. To request successfully, it is mandatory to enter a Personal API Key (e.g. flp_XXX) value in the Bearer Token field. Refer to the authentication section on our introduction page to learn how to acquire this variable and visit here to generate your API Key.Documentation Index
Fetch the complete documentation index at: https://friendli.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
ID of team to run requests as (optional parameter).
Endpoint create request.
The specific model artifact version from Weights & Biases. The referred artifact will be used to create a new endpoint in Friendli Dedicated Endpoints or rollout an existing one.
Specifies the name of your endpoint. If not provided, a name will be automatically generated for you.
Specifies where endpoint will be created in your Friendli Dedicated Endpoints. If not provided, a new project will be created within your default team.
Used by Friendli Dedicated Endpoints to track which webhook automation triggered an endpoint rollout. If the idempotencyKey is provided, the API will check if the endpoint already exists, and rollout the existing endpoint if it does. In such cases, the projectId must be provided. Any unique value can be used.
Autoscaling policy.
Hide child attributes
Setting minReplica to 0 allows the endpoint to sleep when idle, reducing costs. The minimum value is 0.
x >= 0The maximum replicas that the endpoint can scale up to. The maximum value is 10.
x <= 10Determines how long the endpoint waits before scaling down after the last request.
Successfully created the endpoint from W&B artifact.
Endpoint create response.
The ID of the created endpoint.
The name of the created endpoint.
The ID of the project where the endpoint was created.
The name of the project where the endpoint was created.
The ID of the team where the endpoint was created.
The name of the team where the endpoint was created.